package ${basePackage}.frame.excel.annotation;

import java.lang.annotation.*;

/**
 * ColumnName - Excel列名称注解，当Excel模板没有该注解则使用字段名作为列名称
 *
 * @author wangbing
 * @version 0.0.1
 * @since 2017-01-01
 */
@Target({ElementType.FIELD, ElementType.METHOD, ElementType.TYPE})
@Retention(RetentionPolicy.RUNTIME)
@Documented
public @interface ColumnName {
    String value();

    /**
     * 排序
     *
     * @return
     */
    int width() default 8;

    /**
     * 日期格式化
     *
     * @return
     */
    String dateFormat() default "yyyy-MM-dd";
}
