package ${basePackage}.frame.excel.converter;

/**
 * BooleanConverter - Boolean转化器，重写了对象到String，String到对象的转化方式
 *
 * @author wangbing
 * @version 0.0.1
 * @since 2017-01-01
 */
public class BooleanConverter implements Converter<Boolean> {

    @Override
    public Boolean convert(String var) {
        try {
            return Boolean.parseBoolean(var);
        } catch (Exception e) {
            return false;
        }
    }

    @Override
    public String string(Boolean var) {
        if (var == null) {
            return "";
        }
        return String.valueOf(var);
    }
}
